close all;                                                % 모든 생성된 창을 닫음 
clear all;                                                % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                                      % 명령(command) 창을 비움

N=1024;                                                   % 데이터 수 설정 
n=[0:N-1];                                                % 시간축 생성
f=(1/N)*[-N/2+1:N/2];                                     % 주파수축 생성
x=2*cos(pi*n/5)+cos(pi*n/6-pi/3)+2*cos(pi*n/3+pi/4);      % 입력 데이터 생성
Xfr=fftshift((1/N)*fft(x));                               % 입력 스펙트럼 생성
y=filter([1 0 0],[1 -1.5 0.85],x);                        % 필터 출력 생성
Yfr=fftshift((1/N)*fft(y));                               % 출력 스펙트럼 생성
 
nn=[0:300]; nl=length(nn);          %                     % 파형 표시 시간축 설정
figure(1)                                                 % 그림창 1 지정
subplot(2,1,1);                                           % 2행 1열 분할 그림창의 1번 창 
plot(nn,x(1:nl));                                         % 입력 신호 그림
title('\bf{입력 신호}');                                   % 그림 제목 
xlabel('\bf{n}');                                         % x축 라벨 표시 
subplot(2,1,2);                                           % 2행 1열 분할 그림창의 2번 창 
plot(f,abs(Xfr));                                         % 입력 스펙트럼을 그림
title('\bf{입력 신호의 스펙트럼}');                        % 그림 제목 
xlabel('\bf{F}');                                    % x축 라벨 표시 
figure(2)                                                 % 그림창 2 지정
subplot(2,1,1);                                           % 2행 1열 분할 그림창의 1번 창 
plot(nn,y(1:nl));                                         % 출력 신호를 그림
title('\bf{출력 신호}');                                  % 그림 제목 
xlabel('\bf{n}');                                        % x축 라벨 표시 
subplot(2,1,2);                                          % 2행 1열 분할 그림창의 2번 창 
plot(f,abs(Yfr));                                        % 출력 스펙트럼을 그림
title('\bf{출력 신호의 스펙트럼}');                       % 그림 제목 
xlabel('\bf{F}');                                   % x축 라벨 표시 